# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
DBus::Dispatcher Class Referenceabstract

`#include <dispatcher.h>`

Inheritance diagram for DBus::Dispatcher:

## Classes

struct | Private

## Public Member Functions

virtual | ~Dispatcher ()
void | queue_connection (Connection::Private *)
void | dispatch_pending ()
bool | has_something_to_dispatch ()
virtual void | enter ()=0
virtual void | leave ()=0
virtual Timeout * | add_timeout (Timeout::Internal *)=0
virtual void | rem_timeout (Timeout *)=0
virtual Watch * | add_watch (Watch::Internal *)=0
virtual void | rem_watch (Watch *)=0

## Private Member Functions

void | dispatch_pending (Connection::PrivatePList &pending_queue)

## Private Attributes

DefaultMutex | _mutex_p
DefaultMutex | _mutex_p_copy
Connection::PrivatePList | _pending_queue

## Detailed Description

Definition at line 151 of file dispatcher.h.

## Constructor & Destructor Documentation

## ◆ ~Dispatcher()

virtual DBus::Dispatcher::~Dispatcher | ( |  | ) |

inline virtual

Definition at line 155 of file dispatcher.h.

## Member Function Documentation

## ◆ add_timeout()

virtual Timeout * DBus::Dispatcher::add_timeout | ( | Timeout::Internal * |  | ) |

pure virtual

Implemented in DBus::BusDispatcher, DBus::Ecore::BusDispatcher, and DBus::Glib::BusDispatcher.

Referenced by DBus::Dispatcher::Private::on_add_timeout().

## ◆ add_watch()

virtual Watch * DBus::Dispatcher::add_watch | ( | Watch::Internal * |  | ) |

pure virtual

Implemented in DBus::BusDispatcher, DBus::Ecore::BusDispatcher, and DBus::Glib::BusDispatcher.

Referenced by DBus::Dispatcher::Private::on_add_watch().

## ◆ dispatch_pending() [1/2]

void Dispatcher::dispatch_pending | ( |  | ) |

Definition at line 182 of file dispatcher.cpp.

References _mutex_p, _pending_queue, and dispatch_pending().

Referenced by dispatch_pending(), dispatcher_dispatch(), DBus::BusDispatcher::do_iteration(), rem_watch(), and DBus::Ecore::BusWatch::watch_dispatch().

## ◆ dispatch_pending() [2/2]

void Dispatcher::dispatch_pending | ( | Connection::PrivatePList & | pending_queue | ) |

private

Definition at line 219 of file dispatcher.cpp.

References _mutex_p_copy, and DBus::debug_log.

## ◆ enter()

virtual void DBus::Dispatcher::enter | ( |  | ) |

pure virtual

Implemented in DBus::BusDispatcher, DBus::Ecore::BusDispatcher, and DBus::Glib::BusDispatcher.

## ◆ has_something_to_dispatch()

bool Dispatcher::has_something_to_dispatch | ( |  | ) |

Definition at line 166 of file dispatcher.cpp.

References _mutex_p, and _pending_queue.

Referenced by dispatcher_prepare().

## ◆ leave()

virtual void DBus::Dispatcher::leave | ( |  | ) |

pure virtual

Implemented in DBus::BusDispatcher, DBus::Ecore::BusDispatcher, and DBus::Glib::BusDispatcher.

## ◆ queue_connection()

void Dispatcher::queue_connection | ( | Connection::Private * | cp | ) |

Definition at line 158 of file dispatcher.cpp.

References _mutex_p, and _pending_queue.

Referenced by DBus::Connection::Private::dispatch_status_stub(), and DBus::Connection::setup().

## ◆ rem_timeout()

virtual void DBus::Dispatcher::rem_timeout | ( | Timeout * |  | ) |

pure virtual

Implemented in DBus::BusDispatcher, DBus::Ecore::BusDispatcher, and DBus::Glib::BusDispatcher.

Referenced by DBus::Dispatcher::Private::on_rem_timeout().

## ◆ rem_watch()

virtual void DBus::Dispatcher::rem_watch | ( | Watch * |  | ) |

pure virtual

Implemented in DBus::BusDispatcher, DBus::Ecore::BusDispatcher, and DBus::Glib::BusDispatcher.

References dispatch_pending().

Referenced by DBus::Dispatcher::Private::on_rem_watch().

## Member Data Documentation

## ◆ _mutex_p

DefaultMutex DBus::Dispatcher::_mutex_p

private

Definition at line 180 of file dispatcher.h.

Referenced by dispatch_pending(), has_something_to_dispatch(), and queue_connection().

## ◆ _mutex_p_copy

DefaultMutex DBus::Dispatcher::_mutex_p_copy

private

Definition at line 181 of file dispatcher.h.

Referenced by dispatch_pending().

## ◆ _pending_queue

Connection::PrivatePList DBus::Dispatcher::_pending_queue

private

Definition at line 183 of file dispatcher.h.

Referenced by dispatch_pending(), has_something_to_dispatch(), and queue_connection().

The documentation for this class was generated from the following files:

- dispatcher.h
- dispatcher.cpp